title = "Carrello"
url = "/carrello"
meta_title = "Mariano Rubinacci - Carrello"
is_hidden = 0

[viewBag]
localeMeta_title[en] = "Mariano Rubinacci - Cart"
localeUrl[en] = "/cart"

[localePicker]
forceUrl = 1

[Cart]

[ShippingTypeList]

[PaymentMethodList]

[AnagraficaView]

[SimpleCatalogHelper SimpleCatalogHelperSearch]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0

[CartHelper CartHelperCart]
debug = 0
category_filters = 0

[Logout]
mode = "ajax"
redirect_on = 1
redirect_page = "mio-account"

[Agent]

[cookieNotice]
loadCss = 1
==
<!DOCTYPE html>
<html lang="it">
	<head>
	    <meta charset="utf-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	    <meta name="format-detection" content="telephone=no">
	    <meta name="apple-mobile-web-app-capable" content="yes">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="apple-touch-icon">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="icon">
	    <meta name="author" content="">
	    <meta name="keywords" content="">
	    <meta name="description" content="{{ this.page.meta_description }}">
	    <title>{{ this.page.meta_title }}</title>
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/font-awesome/css/font-awesome.min.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/bootstrap4/css/bootstrap.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/owl-carousel/assets/owl.carousel.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/slick/slick/slick.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/lightGallery-master/dist/css/lightgallery.min.css'|theme }}">
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/jquery-bar-rating/dist/themes/fontawesome-stars.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/jquery-ui/jquery-ui.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/pe7/pe-icon-7-stroke/css/pe-icon-7-stroke.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/rubinacci.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/custom.css'|theme }}">
	    
	    <link rel="stylesheet"href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css"/>
	    <link rel="stylesheet" href="{{ 'assets/css/style-ims.css'|theme }}">
	    
		{#<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/solid.min.css" rel="stylesheet" crossorigin="anonymous">#}
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/brands.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/fontawesome.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/regular.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/svg-with-js.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/v4-shims.min.css" rel="stylesheet" crossorigin="anonymous">
	    <link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/style.css'|theme }}">
    	<link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/ionicons.min.css'|theme }}">
	    
	    {#
	    <link rel="stylesheet" href="{{ 'assets/plugins/YTPlayer/dist/css/jquery.mb.YTPlayer.min.css'|theme }}">
	    #}
	    {% partial 'userscripts' %}
    </head>

	<body>
	    <!-- POPUP COOKIE -->
		{% component 'cookieNotice' %}
	    {% partial 'menu' %}
	    
	    <div class="ps-page">
			<div class="ps-page__content">
				<div class="container">
					<div class="ps-shopping-cart ">
						{% set obCartPositionList = Cart.get() %}
						
						{% if Agent.isMobile() %}
							{% if obCartPositionList is not empty %}
								<div class="row">
									<div class="col-md-12">
										
										{% set offerIds = [] %}
										{% for obCartPosition in obCartPositionList%}
							                {% set obOffer = obCartPosition.offer %}
							                {% set obProduct = obOffer.product %}
							                {% set offerIds = offerIds|merge([obOffer.id]) %}
											<div class="row">
												<div class="col-sm-4 col-4">
													<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}"><img src="{{ obProduct.preview_image.getThumb(100, 100, {quality: 80}) }}" alt=""></a>
												</div>
												<div class="col-sm-6 col-6">
													{% if obCartPosition.price == 0 %}
														<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }}</a>
													{% else %}
														{#
														<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }} - {{ obCartPosition.customized_content and obCartPosition.customized_content != '#bespoke#' ? obCartPosition.customized_content : obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
														#}
														<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }}  {{ not (obCartPosition.customized_content|customized_content) ? ' - '~obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
														{{obCartPosition.customized_content|customized_content(activeLocale) ?: '' }}
													{% endif %}
													<div class="price-mob">
														{% if obCartPosition.price != 0 %}
															{% if obOffer.old_price and obOffer.old_price != obOffer.price and obOffer.old_price != '0.00'%}
						                                		<del class="del-price"> {{obOffer.old_price}} {{ obOffer.currency }}</del><br>
						                                	{% elseif arCouponList[0] and obOffer.price != (obCartPosition.price / obCartPosition.quantity) and ( not arCouponList[0].coupon_group.category or arCouponList[0].coupon_group.category[0].id in obProduct.additional_category_id )%}
						                                		<del class="del-price"> {{ obOffer.currency }} {{obOffer.price}} </del><br>
						                                	{% endif %}
									                    	{{ obCartPosition.quantity }}x {{ obOffer.currency }}  {{ obCartPosition.price / obCartPosition.quantity }}
									                    {% else %}
									                    	<p style="font-size:12px">({{'personalizzazione'|_}})</p>
								                    	{% endif %}
													</div>
													<div class="form-group--number dsp-inblk">
														{% if obCartPosition.price != 0 %}
															<button type="button" onclick="addQuantity({{ obOffer.id }})" class="up"><i class="fa fa-plus"></i></button>
									                        <input id="quantity-{{ obOffer.id }}" name="quantity" class="form-control" type="text" placeholder="{{ obCartPosition.quantity }}" value="{{ obCartPosition.quantity }}">
									                        <button type="button" onclick="reduceQuantity({{ obOffer.id }})" class="down"><i class="fa fa-minus"></i></button>
									                    {% endif %}
								                    </div>
								                    {% if obCartPosition.customized_content == '#bespoke#' %}
		                                            	<p style="font-size: 12px">* {{'Il costo del taglio sarà defalcato dal prezzo per la realizzazione del su misura'|_}}</p>
		                                            {% endif %}
												</div>
												<div class="col-sm-2 col-2">
													<a class="ps-btn--close ps-btn--no-boder" href="javascript:removeFromCart({{ obOffer.id }})"></a>
												</div>
											</div>
											<hr>
										{% endfor %}
									</div>
								</div>
								<div class="row">
									<div class="col-md-12">
										<div class="form-group--inline">
																
											{% if arCouponList[0] %}
												<div class="form-group__content">
													<label class="coupon-txt">Coupon: {{arCouponList[0].code}}</label><br><label class="coupon-txt">{{'Sconto'|_}}: -{{arCouponList[0].coupon_group.mechanism.discount_value}}{{arCouponList[0].coupon_group.mechanism.discount_type == 'percent' ? '%'}}</label>
													<input id="coupon" type="hidden" value="{{arCouponList[0].code}}">
													<button type="button" onclick="removeCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Rimuovi Coupon'|_}}</button>
												</div>
											{% else %}
												<div class="form-group__content">
													<input id="coupon" class="form-control wdt-77 mx-wd-80" type="text" placeholder="{{'Codice del buono'|_}}">
												
													<button type="button" onclick="addCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Applica Coupon'|_}}</button>
												</div>
												<p>({{"[messaggio-coupon]"|_}})</p>
											{% endif %}
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12">
										<div class="tot-ship">
											<strong >{{'Totale carrello'|_}}: {{ Cart.currency }} {{ obCartPositionList.getTotalPrice() }}</strong>
											<br>({{"Il costo delle spese di spedizione sarà calcolato in fase di completamento dell'ordine"|_}})
										</div>
									</div>
								</div>
								<figure class="ps-shopping-cart__total">
									<div class="footer"><a class="ps-btn ps-btn--outline ps-btn--black btn-prooced" href="/{{ activeLocale }}/checkout">{{"Procedi all'acquisto"|_}}</a></div>
								</figure>
							{% else %}
								<div class="table-responsive table-adp center-text">
									<h3> {{'Il tuo carrello è vuoto'|_}}!</h3>
								</div>
							{% endif %}
						{% else %}
							{% if obCartPositionList is not empty %}
								<div class="table-responsive table-adp">
									<table class="table ps-tablet ps-table--shopping-cart">
										<thead>
											<tr>
												<th></th>
												<th></th>
												<th class="txt-right">{{'Prodotto'|_}}</th>
												<th class="txt-right">{{'Quantità'|_}}</th>
												<th class="txt-right">{{'Prezzo'|_}}</th>
												<th class="txt-right">{{'Subtotale'|_}}</th>
											</tr>
										</thead>
										
										<tbody class="cart-tbody">
											{% set offerIds = [] %}
											
											{% for obCartPosition in obCartPositionList %}
								                {% set obOffer = obCartPosition.offer %}
								                {% set obProduct = obOffer.product %}
								                {% set offerIds = offerIds|merge([obOffer.id]) %}
								                
								                <tr>
								                	<td>
								                		<a class="ps-btn--close ps-btn--no-boder" href="javascript:removeFromCart({{ obOffer.id }})"></a>
								                	</td>
													<td>
														<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}"><img src="{{ obProduct.preview_image.getThumb(100, 100, {quality: 80}) }}" alt=""></a>
													</td>
													<td class="txt-right">
														{% if obCartPosition.price == 0 %}
															<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }}</a>
															<p>({{'personalizzazione'|_}})</p>
														{% else %}
															{#
															<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }} - {{ obCartPosition.customized_content and obCartPosition.customized_content != '#bespoke#' ? obCartPosition.customized_content : obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
															#}
															<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }} {{ not (obCartPosition.customized_content|customized_content) ? ' - '~obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
															<br>{{obCartPosition.customized_content|customized_content(activeLocale) ?: '' }}
															{% if obCartPosition.customized_content == '#bespoke#' %}
				                                            	<p>* {{'Il costo del taglio sarà defalcato dal prezzo per la realizzazione del su misura'|_}}</p>
				                                            {% endif %}
				                                        {% endif %}
													</td>
								                    <td class="txt-right">
								                      <div class="form-group--number dsp-inblk">
								                      	{#
								                      	<input class="form-control" type="text" placeholder="{{obCartPosition.quantity}}" value="{{obCartPosition.quantity}}">
								                      	#}
								                      	{% if obCartPosition.price != 0 %}
									                      	<button type="button" onclick="addQuantity({{ obOffer.id }})" class="up"><i class="fa fa-plus"></i></button>
									                        <input id="quantity-{{ obOffer.id }}" name="quantity" class="form-control" type="text" placeholder="{{ obCartPosition.quantity }}" value="{{ obCartPosition.quantity }}">
									                        <button type="button" onclick="reduceQuantity({{ obOffer.id }})" class="down"><i class="fa fa-minus"></i></button>
									                    {% endif %}
								                        {#
								                        <button type="button" onclick="addQuantity()" class="up"><i class="fa fa-plus"></i></button>
								                        <input id=""name="quantity" data-ajax="updateTotal" class="form-control" type="text" placeholder="{{ obCartPosition.quantity }}" value="{{ obCartPosition.quantity }}">
								                        <button type="button" onclick="reduceQuantity()" class="down"><i class="fa fa-minus"></i></button>
								                        #}
								                      </div>
								                    </td>
								                    <td class="txt-right">
								                    	{% if obCartPosition.price != 0 %}
									                    	{% if obOffer.old_price and obOffer.old_price != obOffer.price and obOffer.old_price != '0.00' %}
				                                        		<del> {{ obOffer.currency }} {{obOffer.old_price}} </del><br>
				                                        	{% elseif arCouponList[0] and obOffer.price != (obCartPosition.price / obCartPosition.quantity) %}
				                                        		<del> {{ obOffer.currency }} {{obOffer.price}} </del><br>
				                                        	{% endif %}
									                    	{{ obOffer.currency }}  {{ obCartPosition.price / obCartPosition.quantity }}
									                	{% endif %}
							                    	</td>
								                    <td class="txt-right">
								                    	{% if obCartPosition.price != 0 %}
							                        		<p>{{ obOffer.currency }}  {{ obCartPosition.price }}</p>
							                        	{% endif %}
								                    </td>
												</tr>
											{% endfor %}
											
											
											{#
											<tr>
												<td>
													<a href="#0"><img src="" alt=""></a>
												</td>
												<td><a href="#0">FOULARD MEDITERRANEO ROSSO</td>
							                    <td>€380.00</td>
							                    <td>
							                      <div class="form-group--number">
							                        <button class="up"><i class="fa fa-plus"></i></button>
							                        <button class="down"><i class="fa fa-minus"></i></button>
							                        <input class="form-control" type="text" placeholder="1" value="1">
							                      </div>
							                    </td>
							                    <td>
							                      <p>€380.00</p>
							                      <a class="ps-btn--close ps-btn--no-boder" href="#"></a>
							                    </td>
											</tr>
											#}
											<tr class="coupon">
												<td colspan="3">
													<div class="form-group--inline">
														
														{% if arCouponList[0] %}
															<div class="form-group__content">
																<label class="coupon-txt">Coupon: {{arCouponList[0].code}}</label><br><label class="coupon-txt">{{'Sconto'|_}}: -{{arCouponList[0].coupon_group.mechanism.discount_value}}{{arCouponList[0].coupon_group.mechanism.discount_type == 'percent' ? '%'}}</label>
																<input id="coupon" type="hidden" value="{{arCouponList[0].code}}">
															</div>
															<div class="form-group__content">
																<button type="button" onclick="removeCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Rimuovi Coupon'|_}}</button>
															</div>
														{% else %}
															<div class="form-group__content">
																<input id="coupon" class="form-control wdt-77 mx-wd-80" type="text" placeholder="{{'Codice del buono'|_}}">
															</div>
															<div class="form-group__content">
																<button type="button" onclick="addCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Applica Coupon'|_}}</button>
															</div>
														{% endif %}
														
													</div>
													<br>
													<p>({{"[messaggio-coupon]"|_}})</p>
													{#
										            {% for obCoupon in arCouponList %}
										                <li>{{ obCoupon.code }}</li>
										            {% endfor %}													
										            #}
												</td>
												<td colspan="2"><strong >{{'Totale carrello'|_}}</strong><br>({{"Il costo delle spese di spedizione sarà calcolato in fase di completamento dell'ordine"|_}})</td>
												<td colspan="1">{{ Cart.currency }} {{ obCartPositionList.getTotalPrice() }}</td>
											</tr>
											{#
											<tr class="make-order">
												<td colspan="6"><a class="ps-btn ps-btn--outline ps-btn--black wdt-20" href="/checkout">{{"Procedi all'acquisto"|_}}</a></td>
												<td colspan="3"><a class="ps-btn ps-btn--outline ps-btn--black aggiorna" href="javascript:onCartUpdate()"> {{'Aggiorna'|_}}</a></td>
											</tr>
											#}
											
										</tbody>
									</table>
								</div>
								<figure class="ps-shopping-cart__total">
									<div class="footer"><a class="ps-btn ps-btn--outline ps-btn--black btn-prooced" href="/{{ activeLocale }}/checkout">{{"Procedi all'acquisto"|_}}</a></div>
									
								</figure>
								<figure class="ps-shopping-cart__total">
									<div class="footer"><a class="ps-btn ps-btn--outline ps-btn--black btn-prooced" href="javascript:removeAllFromCart()">{{"Rimuovi tutti i prodotti"|_}}</a></div>
									
								</figure>
							{% else %}
								<div class="table-responsive table-adp center-text">
									<h3> {{'Il tuo carrello è vuoto'|_}}!</h3>
								</div>
							{% endif %}
						
						{% endif %}
						
						{% put scripts %}
							<script type="text/javascript">
								function removeAllFromCart(){
									$.request('Cart::onClear', {
									  	update: {'cart-update': `.ps-page`, 'cart-count': `.cart-count`, 'minicart-update': '.ps-cart--sidebar'},
									  	loading: $.oc.stripeLoadIndicator,
									  	// le righe che seguono servono per abilitare il flashmessage utile per debug
									  	flash: 1,
									    handleFlashMessage: function(message, type) {
									        $.oc.flashMsg({ text: message, class: type })
									    },
									    /*success: function(){
									    	
									    }*/
									});
									/*$.request('onRemoveAllFromCart', {
									    loading: $.oc.stripeLoadIndicator,
									  	// le righe che seguono servono per abilitare il flashmessage utile per debug
									  	flash: 1,
									    handleFlashMessage: function(message, type) {
									        $.oc.flashMsg({ text: message, class: type })
									    },
									});*/
								}
							
								function addQuantity(id){
									var qnt = $('#quantity-'+id).val();
									qnt++;
									document.getElementById("quantity-"+id).value = qnt;
									onCartUpdate();
								}
								
								function reduceQuantity(id){
									var qnt = $('#quantity-'+id).val();
									if(qnt > 1){
										qnt--;
									}
									
									document.getElementById("quantity-"+id).value = qnt;
									onCartUpdate();
								}
								function onCartUpdate(){
									var offerIds = {{ offerIds|json_encode|raw }};
									var cartData = [];
								
									for(i=0;i<offerIds.length;i++){
										cartData.push({'offer_id': offerIds[i], 'quantity': document.getElementById("quantity-"+offerIds[i]).value})
									}
									
									var data = {
									  	'cart': cartData,
									  	'shipping_type_id': $("input[type='radio'][name='shipping_type_id']:checked").val()
									};
									$.request('Cart::onUpdate', {
									    data: data,
									    update: {'cart-update': `.ps-page`, 'cart-count': `.cart-count`, 'minicart-update': '.ps-cart--sidebar'}
									});
									
								}
								
								/*
								$(document).on('change', `#cart-list input[name="shipping_type_id"]`, (e) => {
							        const input = $(e.currentTarget),
							        activeShippingTypeID = input.val();
									
							        $.request('CartHelperCart::onSetShippingType', {
								        data: {'shipping_type_id': activeShippingTypeID},
								        loading: $.oc.stripeLoadIndicator,
								        flash: 1,
									    handleFlashMessage: function(message, type) {
									        $.oc.flashMsg({ text: message, class: type })
									    },
								        success: function(response) {
								        	if (!!response && response.status && !!response.data) {
								        		//updatePrice(response.data);
								        		if (!response.data) {
											      return;
											    }
											    $(`.cart__total-price-price-value`).html(response.data.total_price.price);
								        	}
								        }
								    });
							    });
							    */
										    
								function removeFromCart(offerid) {
								  	
								  	const cartData = [
								      {
								        'cart': offerid,
										'shipping_type_id': ''
								      }
								    ];
						
								  	$.request('CartHelperCart::onRemoveFromCart', {
									  	data: {'cart': cartData },
									  	loading: $.oc.stripeLoadIndicator,
									  	// le righe che seguono servono per abilitare il flashmessage utile per debug
									  	flash: 1,
									    handleFlashMessage: function(message, type) {
									        $.oc.flashMsg({ text: message, class: type })
									    },
									    //success: function(data) { console.log(data); }, 
									  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
									  	complete: function() {
									  		$.request('Cart::onGetData', {
										      update: {'cart-update': `.ps-page`, 'cart-count': `.cart-count`, 'minicart-update': '.ps-cart--sidebar'}
										    });
									  	},
									  	
									});
								  
								}
								
								function addCoupon(){
									$.request('CartHelperCart::onApplyCoupon', {
										data: {'coupon': $('#coupon').val()},
										update: {'cart-update': `.ps-page`, 'minicart-update': '.ps-cart--sidebar'},
										loading: $.oc.stripeLoadIndicator,
									  	// le righe che seguono servono per abilitare il flashmessage utile per debug
									  	flash: 1,
									    handleFlashMessage: function(message, type) {
									        $.oc.flashMsg({ text: message, class: type })
									    },
									});
								}
								function removeCoupon(){
									$.request('CartHelperCart::onRemoveCoupon', {
										data: {'coupon': $('#coupon').val()},
										update: {'cart-update': `.ps-page`, 'minicart-update': '.ps-cart--sidebar'},
										loading: $.oc.stripeLoadIndicator,
									  	// le righe che seguono servono per abilitare il flashmessage utile per debug
									  	flash: 1,
									    handleFlashMessage: function(message, type) {
									        $.oc.flashMsg({ text: message, class: type })
									    },
									});
								}
							</script>
						{% endput %}
						
						
						{#
						<figure class="ps-shopping-cart__total">
							<figcaption>{{'TOTALE'|_}}</figcaption>
							<div class="table-responsive">
								<table id="cart-list" class="table ps-table">
									<colgroup>
										<col span="1" style="background:#f3f3f3;">
									</colgroup>
									<tbody>
										<tr>
											<td><strong>{{'Subtotale'|_}}</strong></td>
											<td>{{ Cart.currency }} {{ obCartPositionList.getTotalPrice() }}</td>
										</tr>
										<tr>
											<td>{{"Il costo delle spese di spedizione sarà calcolato in fase di completamento dell'ordine"|_}}</td>
											<td></td>
										</tr>
										
										{% if shipmentList.isNotEmpty()  %}
    										{% for obShippingType in shipmentList %}
    											<tr>
		                                        	<td class="ps-radio"><input class="form-control" type="radio" name="shipping_type_id" id="shipping-type-{{ obShippingType.id }}" value="{{ obShippingType.id }}">&nbsp<label for="shipping-type-{{ obShippingType.id }}">{{ obShippingType.name }} </label></td>
													<td class="number-font">{{ obShippingType.price }} {{ obShippingType.currency }}</td>
			                                    </tr>
	                                    	{% endfor %}
	                                    {% endif %}
			                            
										<tr>
											<td><strong>{{'Totale'|_}}</strong></td>
											<td>{{ Cart.currency }} <span class="cart__total-price-price-value">{{ Cart.getTotalPrice() }}</span></td>
										</tr>
									</tbody>
								</table>
							</div>
							
							<div class="footer"><a class="ps-btn ps-btn--outline ps-btn--black" href="/checkout">{{"Procedi all'acquisto"|_}}</a></div>
							
						</figure>
						#}
					</div>
				</div>
			</div>
		</div>
	
        {% partial 'footer' %}
        
	    <!-- Plugins-->
	    {#
	    <script data-cfasync="false" src="{{ '/cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/popper.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/imagesloaded.pkgd.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/masonry.pkgd.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/isotope.pkgd.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery.matchHeight-min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick-animation.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-ui/jquery-ui.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/sticky-sidebar/dist/sticky-sidebar.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/YTPlayer/dist/jquery.mb.YTPlayer.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/gmap3.min.js'|theme }}"></script>
	    #}
	    
	    <script src="{{ 'assets/plugins/jquery-1.12.4.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/bootstrap4/js/bootstrap.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/owl-carousel/owl.carousel.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick/slick/slick.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-bar-rating/dist/jquery.barrating.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/lightGallery-master/dist/js/lightgallery-all.min.js'|theme }}"></script>
	    {#<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/all.min.js">
	    </script><script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/conflict-detection.min.js"></script>#}
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/brands.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/fontawesome.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/regular.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/solid.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/v4-shims.min.js"></script>
	    <!-- Custom scripts-->
	    <script src="{{ 'assets/js/main.js'|theme }}"></script>
	    <script src="{{ 'assets/js/main-ims.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/megamenu-js-master/js/megamenu.js'|theme }}"></script>
	    
	    <script>
	    	function logout(){
				$.request('Logout::onAjax', {
					//update: {'checkout-login': '#checkout-login', 'checkout-form': '#checkout-form'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    complete: function() {
				    	location.reload(false);
				    }
				});
			}
	    </script>
	    {% partial 'footerscripts' %}
	    {% scripts %}
    	{% framework extras %}
    	
	</body>

</html>